import { XHR } from '../XHR';
import { RecoveryData } from '../../model/internal/RecoveryData';
import { AuthenticationProvider } from '../../../icc-x-api';
import { DocIdentifier } from '../../model/DocIdentifier';
import { Content } from '../../model/Content';
export declare class IccRecoveryDataApi {
    host: string;
    headers: Array<XHR.Header>;
    authenticationProvider: AuthenticationProvider;
    fetchImpl?: (input: RequestInfo, init?: RequestInit) => Promise<Response>;
    constructor(host: string, headers: any, authenticationProvider?: AuthenticationProvider, fetchImpl?: (input: RequestInfo, init?: RequestInit) => Promise<Response>);
    setHeaders(h: Array<XHR.Header>): void;
    handleError(e: XHR.XHRError): never;
    createRecoveryData(body?: RecoveryData): Promise<RecoveryData>;
    getRecoveryData(recoveryDataId: string): Promise<RecoveryData>;
    deleteRecoveryData(recoveryDataId: string): Promise<DocIdentifier>;
    deleteAllRecoveryDataForRecipient(recipientId: string): Promise<Content>;
    deleteAllRecoveryDataOfTypeForRecipient(type: string, recipientId: string): Promise<Content>;
}
